/*
Front gateway

Front gateway

API version: 0.0.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package openapi

import (
	"encoding/json"
)

// SignUpArgs struct for SignUpArgs
type SignUpArgs struct {
	Email string `json:"email"`
	Password string `json:"password"`
}

// NewSignUpArgs instantiates a new SignUpArgs object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewSignUpArgs(email string, password string) *SignUpArgs {
	this := SignUpArgs{}
	this.Email = email
	this.Password = password
	return &this
}

// NewSignUpArgsWithDefaults instantiates a new SignUpArgs object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewSignUpArgsWithDefaults() *SignUpArgs {
	this := SignUpArgs{}
	return &this
}

// GetEmail returns the Email field value
func (o *SignUpArgs) GetEmail() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Email
}

// GetEmailOk returns a tuple with the Email field value
// and a boolean to check if the value has been set.
func (o *SignUpArgs) GetEmailOk() (*string, bool) {
	if o == nil  {
		return nil, false
	}
	return &o.Email, true
}

// SetEmail sets field value
func (o *SignUpArgs) SetEmail(v string) {
	o.Email = v
}

// GetPassword returns the Password field value
func (o *SignUpArgs) GetPassword() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Password
}

// GetPasswordOk returns a tuple with the Password field value
// and a boolean to check if the value has been set.
func (o *SignUpArgs) GetPasswordOk() (*string, bool) {
	if o == nil  {
		return nil, false
	}
	return &o.Password, true
}

// SetPassword sets field value
func (o *SignUpArgs) SetPassword(v string) {
	o.Password = v
}

func (o SignUpArgs) MarshalJSON() ([]byte, error) {
	toSerialize := map[string]interface{}{}
	if true {
		toSerialize["email"] = o.Email
	}
	if true {
		toSerialize["password"] = o.Password
	}
	return json.Marshal(toSerialize)
}

type NullableSignUpArgs struct {
	value *SignUpArgs
	isSet bool
}

func (v NullableSignUpArgs) Get() *SignUpArgs {
	return v.value
}

func (v *NullableSignUpArgs) Set(val *SignUpArgs) {
	v.value = val
	v.isSet = true
}

func (v NullableSignUpArgs) IsSet() bool {
	return v.isSet
}

func (v *NullableSignUpArgs) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableSignUpArgs(val *SignUpArgs) *NullableSignUpArgs {
	return &NullableSignUpArgs{value: val, isSet: true}
}

func (v NullableSignUpArgs) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableSignUpArgs) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


